<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejercicio_26</title>
</head>
<body>
    <h1>Ejercicio 26</h1>
    <script>
    /*26) Programa una función que dado un arreglo de números obtenga el 
    promedio, pe. promedio([9,8,7,6,5,4,3,2,1,0]) devolverá 4.5.*/

    const promedio = (numeros = undefined ) => {

        if (numeros === undefined) return console.warn("No se ingreso un Arreglo de números");
        if (!(numeros instanceof Array)) 
           return console.warn(`No es Arreglo`);
        if (numeros.length === 0) return console.warn("El arreglo esta vacio");
        for (let num of numeros) {
            if (typeof num !== "number")
            return console.error(`El valor ingresado ${num}, No es un numero`);
        }

        /*let suma = 0;
        for (var i = 0; i < numeros.length; i++) {
            suma += numeros[i];
        }
        return console.log(`Promedio del Arreglo ${numeros} es: ${suma/numeros.length}`)*/

        return console.log(
            numeros.reduce((total,num,index,numeros) => {
                total += num;
                if(index === numeros.length-1) {
                    return `El promedio de ${numeros.join(" + ")} es : ${total/numeros.length}`
                } else {
                    return total;
                }
            })
        )
    }

    promedio([9,8,7,6,5,4,3,2,1,0]);
    promedio([9,8,7,true]);
    promedio([]);
    promedio();


    </script>
    
</body>
</html>